QGIS Application - Bug report #16806
Non valid VRT logic due to GDAL changes in QgsGdalDataltems
2017-07-07 02:28 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider

Affected QGIS version:2.18.0 Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24705
Description

See this thread:

https:/lists.osgeo.org/pipermail/qgis-developer/2017-July/049234.html

According to Even the logic here:
https://github.com/qgis/QGIS/blob/master/src/providers/gdal/qgsgdaldataitems.cpp#L.246
isn't working anymore for GDAL2:

Quote: " Actually L246 shows a particular case for VRT. But | think this logic is now invalid since GDAL 2.0, since
GDALIdentifyDriver() will now retun "VRT" for a raster VRT, and "OGR_VRT" for a vector VRT (in GDAL 1.X era GDALIdentifyDriver()
only worked on raster drivers)"

So probably this code should be updated.

Associated revisions

Revision 49071808 - 2017-10-21 12:09 AM - Even Rouault

[Browser] Fix invalid detection of OGR VRT by GDAL provider, and fix broken detection of OGR VRT (fixes #16806)

Revision 2e87d32f - 2017-10-21 12:28 AM - Even Rouault

[Browser] With GDAL 2.x, fix invalid detection of OGR VRT by GDAL provider, and fix broken detection of OGR VRT (fixes #16806)

History

#1 - 2017-10-21 12:09 AM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|49071808acb104c5c6dc0d63a40296a0f88969da.

#2 - 2017-10-21 12:28 AM - Even Rouault
- Resolution set to fixed/implemented
- Affected QGIS version changed from master to 2.18.0

- Assignee set to Even Rouault
